Manage your business partners and counterparties. Use these APIs to create and store information about the people or companies you interact with, including their bank details.
Overview
Our Banking as a Service (BaaS) platform helps to make it simple for companies to handle the flow of money. Our APIs offer a safe and dependable way to manage your financial operations, whether you are seeking money from a partner or paying somebody else.
With these APIs, you can:
- Manage Payees: Securely save the details of people or businesses you work with, including their bank information for ACH, Wire, or Braid transfers.
- Move Money: Create and send payment requests quickly by specifying the amount and the preferred payment method.
- Track Activity: Search through your transaction history to monitor the status of your payments and keep your records up to date.
Download OpenAPI description
Overview
API Support
Languages
Servers
Mock server
https://docs.theropay.co/_mock/theropay/docs/reference/braid
Sandbox Server
https://devapi.theropay.co
- Mock serverhttps://docs.theropay.co/_mock/theropay/docs/reference/braid/api/v1/generate-token
- Sandbox Serverhttps://devapi.theropay.co/api/v1/generate-token
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.theropay.co/_mock/theropay/docs/reference/braid/api/v1/generate-token \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"clientId": "string",
"clientSecret": "string"
}'Response
application/json
{ "clientId": "string", "clientSecret": "string" }
Body
- application/json
- text/json
- application/*+json
Registers a new Counterparty (payee) within the Theropay ecosystem. This is a required first step before initiating any financial transfers.Request object containing payee details.
- Allows you to attach payment details for ACH, Wire network via the nested objects.
One of:
- Mock serverhttps://docs.theropay.co/_mock/theropay/docs/reference/braid/finance/v1/payee
- Sandbox Serverhttps://devapi.theropay.co/finance/v1/payee
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.theropay.co/_mock/theropay/docs/reference/braid/finance/v1/payee \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"phone": "string",
"email": "string",
"businessId": 0,
"PaymentMethodType": "STANDARD",
"type": "INDIVIDUAL",
"productId": 0,
"dateOfBirth": "2019-08-24",
"idNumber": "string",
"idType": "string",
"dbaName": "string",
"jurisdictionState": "string",
"jurisdictionCountry": "string",
"individualId": 0,
"ach": {
"accountNumber": "string",
"address": {
"city": "string",
"countryCode": "string",
"line1": "string",
"line2": "string",
"postalCode": "string",
"state": "string",
"type": "string"
},
"bankAccountType": "CHECKING",
"bankName": "string",
"gatewayRoutingNumber": "string",
"rdfiNumberQualifier": "string",
"routingNumber": "string"
}
}'